services:
  trucks-entering-system:
    image: trucks-entering-system
    container_name: trucks-entering-system
    restart: always
    build:
      context: .
    volumes:
      - ./api:/app/api
      - ./web:/app/web
    networks:
      - trucks-entering-system
    env_file: ./.env
    environment:
      WAIT_HOSTS: trucks-entering-system-mysql:3306
    depends_on:
      - trucks-entering-system-mysql
    ports:
      - 8910:8910
      - 8911:8911
  trucks-entering-system-prisma-dashboard:
    image: trucks-entering-system-prisma-dashboard
    container_name: trucks-entering-system-prisma-dashboard
    restart: always
    build:
      context: .
      dockerfile: Dockerfile.prisma
    networks:
      - trucks-entering-system
    env_file: ./.env
    environment:
      WAIT_HOSTS: trucks-entering-system-mysql:3306
    depends_on:
      - trucks-entering-system-mysql
    ports:
      - 5555:5555
  trucks-entering-system-mysql:
    image: mysql:9.1.0
    container_name: trucks-entering-system-mysql
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: password
      MYSQL_DATABASE: trucks_entering_system
    networks:
      - trucks-entering-system
    volumes:
      - trucks-entering-system-mysql-volume:/var/lib/mysql
    ports:
      - 3310:3306

volumes:
  trucks-entering-system-mysql-volume:

networks:
  trucks-entering-system:
    name: trucks-entering-system
    driver: bridge